<?php

class A{
	/**
     * [CreateUploadVideo 获取视频上传地址和凭证接口]
     */
    public function CreateUploadVideo() {
        if($this->request->isPost()){
	    	//获取参数
	        $params = $this->request->param();

	        //视频配置信息
	        $this->userId = config('video.userId');
	        $this->regionId = config('video.regionId');  // 点播服务接入区域
	        $this->accessKeyId = config('video.accessKeyId');
	        $this->accessKeySecret = config('video.accessKeySecret');
	        $this->TemplateGroupId = config('video.TemplateGroupId'); //视频分组ID
	        $this->TemplateGroupIdAudio = config('video.TemplateGroupIdAudio'); //音频分组ID
	        $this->cateid = config('video.cateid'); //模板ID
	        $this->StorageLocation = config('video.StorageLocation'); //存储位置

	        //加载自动加载文件
	        require_once env('extend_path') . 'voduploadsdk' . DIRECTORY_SEPARATOR . 'Autoloader.php';

	        //实例化
	        $profile = \DefaultProfile::getProfile($this->regionId, $this->accessKeyId, $this->accessKeySecret);
	        $client = new \DefaultAcsClient($profile);

	        //请求
	        $request = new \vod\Request\V20170321\CreateUploadVideoRequest();
	        $request->setTitle($params['title']);        // 视频标题(必填参数)
	        $request->setFileName($params['fielname']); // 视频源文件名称，必须包含扩展名(必填参数)
	        //$request->setDescription($params['remark']);  // 视频源文件描述(可选)
	        //$request->setCoverURL(''); // 自定义视频封面(可选)
	        //$request->setTags($params['tags']); // 视频标签，多个用逗号分隔(可选)
	        $request->setCateId($this->cateid); //设置视频分类ID
	        $request->setTemplateGroupId($this->TemplateGroupId); //转码模板组ID
	        $res = $client->getAcsResponse($request);
            $res = (array) $res;
            if(!isset($res['VideoId']) || empty($res['VideoId'])){
                //返回数据
                $rdata['code'] = 0;
                $rdata['data'] = $res;
                $rdata['msg'] = '创建视频失败';
                return json($rdata);
            }
            $res['UploadAddress'] = json_decode(base64_decode($res['UploadAddress']), true);
            $res['UploadAddress']['host'] = "http://" . $res['UploadAddress']['Bucket'] . "." . str_replace(array("https://","http://"), '', $res['UploadAddress']['Endpoint']);
            $res['UploadAuth'] = json_decode(base64_decode($res['UploadAuth']), true);

	        //返回数据
	        $rdata['code'] = 1;
	        $rdata['data'] = $res;
            $rdata['msg'] = '创建视频成功';
            return json($rdata);
	    }
    }

    /**
     * [RefreshUploadVideo 刷新视频上传凭证接口]
     */
    public function RefreshUploadVideo() {
        if($this->request->isPost()){
	    	//获取参数
	        $params = $this->request->param();

	        //视频配置信息
	        $this->userId = config('video.userId');
	        $this->regionId = config('video.regionId');  // 点播服务接入区域
	        $this->accessKeyId = config('video.accessKeyId');
	        $this->accessKeySecret = config('video.accessKeySecret');
	        $this->TemplateGroupId = config('video.TemplateGroupId'); //视频分组ID
	        $this->TemplateGroupIdAudio = config('video.TemplateGroupIdAudio'); //音频分组ID
	        $this->cateid = config('video.cateid'); //模板ID
	        $this->StorageLocation = config('video.StorageLocation'); //存储位置

	        //加载自动加载文件
	        require_once env('extend_path') . 'voduploadsdk' . DIRECTORY_SEPARATOR . 'Autoloader.php';

	        //查询视频详情
	        $profile = \DefaultProfile::getProfile($this->regionId, $this->accessKeyId, $this->accessKeySecret);
	        $client = new \DefaultAcsClient($profile);

	        $request = new \vod\Request\V20170321\RefreshUploadVideoRequest();
	        $request->setVideoId($params['video_id']);
	        $res = $client->getAcsResponse($request);
            $res = (array) $res;
            if(!isset($res['VideoId']) || empty($res['VideoId'])){
                //返回数据
                $rdata['code'] = 0;
                $rdata['data'] = $res;
                $rdata['msg'] = '刷新视频失败';
                return json($rdata);
            }
            $res['UploadAddress'] = json_decode(base64_decode($res['UploadAddress']), true);
            $res['UploadAddress']['host'] = "http://" . $res['UploadAddress']['Bucket'] . "." . str_replace(array("https://","http://"), '', $res['UploadAddress']['Endpoint']);
            $res['UploadAuth'] = json_decode(base64_decode($res['UploadAuth']), true);

	        //返回数据
	        $rdata['code'] = 1;
	        $rdata['data'] = $res;
            $rdata['msg'] = '刷新视频成功';
            return json($rdata);
	    }
    }
}
?>